import pgzrun
#Zufallszahlen importieren
from random import randint
WITH = 600
HEIGHT = 600
#Punktestand erstellen
SCORE = 0
#Platzhalter für unsere Ausgabe
MESSAGE = ""

GAME_OVER = False

#Apfel beschreiben
apple = Actor("apple")

def time_up():
    global GAME_OVER
    GAME_OVER = True

def draw():
    screen.clear()
    #Apfel zeichnen
    apple.draw()
    #Punktestand anzeigen
    screen.draw.text("Punkte: " + str(SCORE), color="green", topleft=(10 ,10))
    screen.draw.text(str(MESSAGE), color="blue", topleft=(10 ,50))
    if GAME_OVER:
        screen.fill("pink")
        screen.draw.text("Endstand: " + str(SCORE), topleft=(10, 10), fontsize=60)

#Apfel zufällig verschieben        
def place_apple():
    apple.x = randint(10,WITH-20)
    apple.y = randint(10,HEIGHT-20)
    
#Funktion um auf die Mausklicks zu reagieren
def on_mouse_down(pos):
    global SCORE
    global GAME_OVER
    global MESSAGE
    if apple.collidepoint(pos):
        MESSAGE = "TREFFER - APFEL"
        SCORE += 10
        place_apple()
    else:
        MESSAGE = "DANEBEN"

clock.schedule(time_up, 20.0)
place_apple()
pgzrun.go()





